#!/bin/bash
# factr.sh : Factorise un nombre

MIN=2       # Ne fonctionnera pas pour des nombres plus petits que celui-ci.
E_SANSARGS=65
E_TROPPETIT=66

if [ -z $1 ]
then
  echo "Usage: $0 nombre"
  exit $E_SANSARGS
fi

if [ "$1" -lt "$MIN" ]
then
  echo "Le nombre à factoriser doit être supérieur ou égal à $MIN."
  exit $E_TROPPETIT
fi  

#  Exercice : Ajouter une vérification du type (pour rejeter les arguments non
#+ entiers).

echo "Les facteurs de $1 :"
# -------------------------------------------------------------------------------
echo "$1[p]s2[lip/dli%0=1dvsr]s12sid2%0=13sidvsr[dli%0=1lrli2+dsi!>.]ds.xd1<2"|dc
# -------------------------------------------------------------------------------
# La ligne de code ci-dessus a été écrite par Michel Charpentier &lt;charpov@cs.unh.edu&gt;.
# Utilisé dans le guide ABS avec sa permission (merci).

 exit 0
